#!/bin/sh


DEFAULT_IP_ADDR="192.168.129.3"

#########################################################################################
# TM1, TW2 : not configfs and have no ifname
# TW3 : configfs and ifname value is "rndis0"
# XU3 : configfs and ifname value is "usb0"
if [ -e /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname ]
then
	IFNAME=`cat /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname`
else
	IFNAME="usb0"
fi

#########################################################################################
VCONF=`vconftool get db/dnet/rndis_ip`
if [ $? -ne 0 ]
then
	IP_ADDR=$DEFAULT_IP_ADDR
else
	IP_ADDR=`echo $VCONF | awk -F' ' '{print $4}'`
fi

#########################################################################################
IP1=`echo $IP_ADDR | cut -d"." -f1`
IP2=`echo $IP_ADDR | cut -d"." -f2`
IP3=`echo $IP_ADDR | cut -d"." -f3`
NETWORK=$IP1"."$IP2"."$IP3"."0

#########################################################################################
echo "rndis network inteface =" $IFNAME
echo "rndis ip address =" $IP_ADDR
echo "rndis network =" $NETWORK

if [ x$1 == "xstart" ]
then
	/sbin/ifconfig $IFNAME $IP_ADDR up
	/sbin/route add -net $NETWORK netmask 255.255.255.0 dev $IFNAME
else
	/sbin/route del -net $NETWORK netmask 255.255.255.0 dev $IFNAME
	/sbin/ifconfig $IFNAME down
fi
